SamValidationErrors Class Reference

The SamValidationErrors class is a container class that holds SamValidationError Objects, allowing a validation method to return all of the invalid errors rather than just one. More...

`#include <SamValidation.h>`

## Public Member Functions

| SamValidationErrors ()
| Constructor.
| ~SamValidationErrors ()
| Destructor.
void | clear ()
| Remove all the errors from the container.
void | addError (SamValidationError::Type newType, SamValidationError::Severity newSeverity, const char *newMessage)
| Add the specified error to this container.
unsigned int | numErrors ()
| Return the number of validation errors contained in this object.
const SamValidationError * | getNextError ()
| Return a pointer to the next error without removing it from the container, and returning null once all errors have been retrieved until resetErrorIter is called.
void | resetErrorIter ()
| Reset the iterator to the begining of the errors.
void | getErrorString (std::string &errorString) const
| Append the error messages contained in this container to the passed in string.

## Detailed Description

The SamValidationErrors class is a container class that holds SamValidationError Objects, allowing a validation method to return all of the invalid errors rather than just one.

Definition at line 116 of file SamValidation.h.

The documentation for this class was generated from the following files:

- bam/SamValidation.h
- bam/SamValidation.cpp